Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control.messages
[Java] Class LocatedMessage

    java.lang.Object
      org.codehaus.groovy.control.messages.Message
          org.codehaus.groovy.control.messages.SimpleMessage
              org.codehaus.groovy.control.messages.LocatedMessage

    public class LocatedMessage
    extends SimpleMessage

A base class for compilation messages.

Authors:
  Chris Poirier

Version:
  \$Id\$

Field Summary
`protected CSTNode` | `context`

Fields inherited from class SimpleMessage
data, message, owner

Constructor Summary
`LocatedMessage(java.lang.String message, CSTNode context, SourceUnit source)`
`LocatedMessage(java.lang.String message, java.lang.Object data, CSTNode context, SourceUnit source)`

Method Summary
`void` | `write(java.io.PrintWriter writer, Janitor janitor)`

Methods inherited from class SimpleMessage
getMessage, write

Methods inherited from class Message
create, create, create, write, write

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### context

    protected CSTNode context

Constructor Detail

### LocatedMessage

    public LocatedMessage(java.lang.String message, CSTNode context, SourceUnit source)

### LocatedMessage

    public LocatedMessage(java.lang.String message, java.lang.Object data, CSTNode context, SourceUnit source)

Method Detail

### write

    public void write(java.io.PrintWriter writer, Janitor janitor)

Groovy Documentation